#include "..\system.h"
#include "glcd.h"
#include "glcd_drv1815.h"
#include "font5x7.h"


void GlcdInit(void)
{
	Lcd_init();
	GlcdClear();
}


void GlcdGotoChar(SINT line, SINT col)
{
	GlcdSetAddress(col*6, line);
}

// write a character at the current position
void GlcdWriteChar(char c)
{
	SINT i = 0;

	for(i=0; i<5; i++)
	{
		Lcd_Data( Font5x7[((c - 0x20) * 5) + i] );
	}

	// write a spacer line
	Lcd_Data(0x00);
}


void GlcdPutStr(char *data)
{
  while (*data) {
    GlcdWriteChar(*data);
    data++;
  }
}

void GlcdSetYAddress(SINT yAddr)
{
	lcd_set_page(yAddr);
}

void GlcdSetXAddress(SINT xAddr)
{
	lcd_set_col(xAddr);
}

void GlcdSetAddress(SINT X, SINT yLine)
{
	// set addresses
	GlcdSetYAddress(yLine);
	GlcdSetXAddress(X);
}

void Draw_BMP(SINT Cx,SINT Cy,SINT SzX,SINT SzY, const unsigned char *buf)
{
  unsigned int bi;
  unsigned char x, y;
  x = Cx, y=Cy;
	
	GlcdSetAddress(x,y);
	Lcd_Data(buf[0]);
	
	for(bi=1; bi<SzX-1; bi++)
	{		

		if((bi % 128) == 0)
		{
//			LCD_PAGE = 0;
			x = 0;
			y++;
			GlcdSetAddress(x,y);
		}
		else if((bi%64) == 0)
		{
//			LCD_PAGE = 1;
			x = 0;
			GlcdSetAddress(x,y);
		}
		Lcd_Data(buf[bi]);
	}
	
}